# gdcm::EncodingImplementation< VR::VRASCII > Class Template Reference

`#include <gdcmElement.h>`

List of all members.

## Public Member Functions

template<>
void | Write (const float *data, unsigned long length, std::ostream &_os)
template<>
void | Write (const double *data, unsigned long length, std::ostream &_os)

## Static Public Member Functions

template<typename T >
static void | Read (T *data, unsigned long length, std::istream &_is)
template<typename T >
static void | ReadComputeLength (T *data, unsigned int &length, std::istream &_is)
template<typename T >
static void | ReadNoSwap (T *data, unsigned long length, std::istream &_is)
template<typename T >
static void | Write (const T *data, unsigned long length, std::ostream &_os)

### template<>
class gdcm::EncodingImplementation< VR::VRASCII >

## Member Function Documentation

template<typename T >

static void gdcm::EncodingImplementation< VR::VRASCII >::Read | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is
| ) |  | `[inline, static]`

template<typename T >

static void gdcm::EncodingImplementation< VR::VRASCII >::ReadComputeLength | ( | T * | data,
|  | unsigned int & | length,
|  | std::istream & | _is
| ) |  | `[inline, static]`

References gdcm::backslash().

template<typename T >

static void gdcm::EncodingImplementation< VR::VRASCII >::ReadNoSwap | ( | T * | data,
|  | unsigned long | length,
|  | std::istream & | _is
| ) |  | `[inline, static]`

template<typename T >

static void gdcm::EncodingImplementation< VR::VRASCII >::Write | ( | const T * | data,
|  | unsigned long | length,
|  | std::ostream & | _os
| ) |  | `[inline, static]`

template<>

void gdcm::EncodingImplementation< VR::VRASCII >::Write | ( | const float * | data,
|  | unsigned long | length,
|  | std::ostream & | _os
| ) |  | `[inline]`

References gdcm::to_string().

template<>

void gdcm::EncodingImplementation< VR::VRASCII >::Write | ( | const double * | data,
|  | unsigned long | length,
|  | std::ostream & | _os
| ) |  | `[inline]`

References gdcm::to_string().

The documentation for this class was generated from the following file:

- gdcmElement.h